Subject: bug#9205: 24.0.50; colored mark in vc mode-line

From: Stefan Monnier <[email-masked]>
Date: Thu, 12 Apr 2012 14:22:41 -0400

>> Maybe I misunderstood the question, but we've been reporting the VC
>> state in the mode-line for as long as I can remember (except for pre-VC
>> times, obviously).  And people don't seem annoyed by it very much, so we
>> can assume that it's a "yes".
> You mean if you let the mouse hover over the thing that says
> "Bzr-<foo>"?  I don't see anything that changes visually, though, when a
> file changes `vc-state'...

The text is supposed to change between Bzr-nn (unmodified), Bzr:nn
(locally modified), Bzr@nn (locally added), ... see
vc-default-mode-line-string.

        Stefan